#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

typedef long long LL;

vector<int> solve(vector<int> A) {
    LL s = 0;
    for(int ch : A) s += (LL)ch;
    vector<pair<int, int>> a;
    for(int i = 0; i < A.size(); i++) {
        a.push_back({A[i], i});
    }
    sort(a.begin(), a.end());
    int l = 0, r = 0;
    LL s1, ds = s / 2 + s % 2;
    int l1, r1, minr = INT_MAX;
    for(int i = 0; i < a.size(); i++) {
        s1 = 0;
        for(int j = i; j < a.size(); j++) {
            s1 += A[j];
            if(s1 >= ds) {
                if(minr > abs((int)a.size() - 2 * (j - i + 1))) {
                    minr = abs((int)a.size() - 2 * (j - i + 1));
                    l1 = i, r1 = j;
                }
            }
        }
    }
    vector<int> ans;
    for(int i = l1; i <= r1; i++) {
        ans.push_back(a[i].second);
    }
    for(int i = 0; i < l1; i++) {
        ans.push_back(a[i].second);
    }
    for(int i = r1 + 1; i < a.size(); i++) {
        ans.push_back(a[i].second);
    }
    return ans;
}














